List workflow templates with filtering and pagination
curl --request POST \
--url https://api.artu.ai/workflow-templates/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"search": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"scopes": "<string>",
"tags": "<string>",
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/workflow-templates/list"
payload = {
"filter": {
"search": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"scopes": "<string>",
"tags": "<string>",
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
search: '<string>',
name: '<string>',
description: '<string>',
category: '<string>',
scopes: '<string>',
tags: '<string>',
sourceWorkflowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/workflow-templates/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflow-templates/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'search' => '<string>',
'name' => '<string>',
'description' => '<string>',
'category' => '<string>',
'scopes' => '<string>',
'tags' => '<string>',
'sourceWorkflowId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z'
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflow-templates/list"
payload := strings.NewReader("{\n \"filter\": {\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"scopes\": \"<string>\",\n \"tags\": \"<string>\",\n \"sourceWorkflowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/workflow-templates/list")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"scopes\": \"<string>\",\n \"tags\": \"<string>\",\n \"sourceWorkflowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflow-templates/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"scopes\": \"<string>\",\n \"tags\": \"<string>\",\n \"sourceWorkflowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"scopes": [
"<string>"
],
"visibility": "private",
"version": 0,
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [
{
"name": "<string>",
"description": "<string>",
"value": "<unknown>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"category": "<string>",
"metadata": {},
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceWorkflowEnvironment": "<string>",
"publishedAt": "<string>"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Workflow Templates
List workflow templates with filtering and pagination
POST
/
workflow-templates
/
list
List workflow templates with filtering and pagination
curl --request POST \
--url https://api.artu.ai/workflow-templates/list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Environment: <api-key>' \
--data '
{
"filter": {
"search": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"scopes": "<string>",
"tags": "<string>",
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"sort": [
{}
],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": true
}
'import requests
url = "https://api.artu.ai/workflow-templates/list"
payload = {
"filter": {
"search": "<string>",
"name": "<string>",
"description": "<string>",
"category": "<string>",
"scopes": "<string>",
"tags": "<string>",
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"sort": [{}],
"cursor": "<string>",
"offset": 4503599627370495,
"limit": 20,
"includeTotalCount": True
}
headers = {
"Authorization": "Bearer <token>",
"X-Environment": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-Environment': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
filter: {
search: '<string>',
name: '<string>',
description: '<string>',
category: '<string>',
scopes: '<string>',
tags: '<string>',
sourceWorkflowId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
createdAt: '2023-11-07T05:31:56Z',
updatedAt: '2023-11-07T05:31:56Z'
},
sort: [{}],
cursor: '<string>',
offset: 4503599627370495,
limit: 20,
includeTotalCount: true
})
};
fetch('https://api.artu.ai/workflow-templates/list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.artu.ai/workflow-templates/list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'filter' => [
'search' => '<string>',
'name' => '<string>',
'description' => '<string>',
'category' => '<string>',
'scopes' => '<string>',
'tags' => '<string>',
'sourceWorkflowId' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'createdAt' => '2023-11-07T05:31:56Z',
'updatedAt' => '2023-11-07T05:31:56Z'
],
'sort' => [
[
]
],
'cursor' => '<string>',
'offset' => 4503599627370495,
'limit' => 20,
'includeTotalCount' => true
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Environment: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.artu.ai/workflow-templates/list"
payload := strings.NewReader("{\n \"filter\": {\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"scopes\": \"<string>\",\n \"tags\": \"<string>\",\n \"sourceWorkflowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Environment", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.artu.ai/workflow-templates/list")
.header("Authorization", "Bearer <token>")
.header("X-Environment", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"filter\": {\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"scopes\": \"<string>\",\n \"tags\": \"<string>\",\n \"sourceWorkflowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.artu.ai/workflow-templates/list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Environment"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"filter\": {\n \"search\": \"<string>\",\n \"name\": \"<string>\",\n \"description\": \"<string>\",\n \"category\": \"<string>\",\n \"scopes\": \"<string>\",\n \"tags\": \"<string>\",\n \"sourceWorkflowId\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"createdAt\": \"2023-11-07T05:31:56Z\",\n \"updatedAt\": \"2023-11-07T05:31:56Z\"\n },\n \"sort\": [\n {}\n ],\n \"cursor\": \"<string>\",\n \"offset\": 4503599627370495,\n \"limit\": 20,\n \"includeTotalCount\": true\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organizationId": "<string>",
"name": "<string>",
"tags": [
"<string>"
],
"scopes": [
"<string>"
],
"visibility": "private",
"version": 0,
"workflow": {
"nodes": [],
"edges": []
},
"variableDefinitions": [
{
"name": "<string>",
"description": "<string>",
"value": "<unknown>"
}
],
"createdAt": "<string>",
"updatedAt": "<string>",
"description": "<string>",
"category": "<string>",
"metadata": {},
"sourceWorkflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sourceWorkflowEnvironment": "<string>",
"publishedAt": "<string>"
}
],
"pagination": {
"hasMore": true,
"nextCursor": "<string>",
"totalCount": 0
}
}Authorizations
API key authentication. Obtain your API key from the dashboard.
Target environment for the request. Must be "test" or "live".
Body
application/json
Was this page helpful?
